ruby-cmdparse_2.0.6-1_all.deb


Advertisement

Description

ruby-cmdparse - Advanced command line parsing Ruby module supporting sub-commands

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-cmdparse
Package version 2.0.6
Package release 1
Package architecture all
Package type deb
Installed size 84 B
Download size 9.16 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-cmdparse_2.0.6-1_all.deb 2.0.6 all Debian Main
ruby-cmdparse - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-cmdparse_2.0.6-1_all.deb
Source Package ruby-cmdparse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-cmdparse deb package:
    # sudo apt-get install ruby-cmdparse

Files

Path
/usr/lib/ruby/vendor_ruby/cmdparse.rb
/usr/lib/ruby/vendor_ruby/cmdparse2.rb
/usr/lib/ruby/vendor_ruby/cmdparse/wrappers/optparse.rb
/usr/share/doc/ruby-cmdparse/README.md
/usr/share/doc/ruby-cmdparse/changelog.Debian.gz
/usr/share/doc/ruby-cmdparse/copyright
/usr/share/doc/ruby-cmdparse/examples/net.rb
/usr/share/rubygems-integration/all/specifications/cmdparse-2.0.6.gemspec

Changelog

2014-10-07 - Cédric Boutillier <boutil@debian.org>
ruby-cmdparse (2.0.6-1) unstable; urgency=medium
* Imported Upstream version 2.0.6
* Replace basic test with the upstream test suite
* debian/control:
- update homepage
- bump Standards-Version to 3.9.6 (no changes needed)
- set Testsuite field to autopkgtest-pkg-ruby
- build-depend on ruby-minitest
* Update years in upstream entry in the copyright file
* Install README.md as documentation
2014-01-16 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-cmdparse (2.0.5-2) unstable; urgency=low
[ Cédric Boutillier ]
* Team upload.
* debian/control
- remove obsolete DM-Upload-Allowed flag
- use canonical URI in Vcs-* fields
[ Jonas Genannt ]
* removed transitional packages
* d/control:
- bumped standards version to 3.9.5 (no changes needed)
- changed Cédric Boutillier email to @debian.org
- updated long description
2012-06-22 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-cmdparse (2.0.5-1) unstable; urgency=low
* New upstream version
* Bump Standards-Version: to 3.9.3 (no changes needed)
* update copyright file to DEP-5 copyright-format/1.0 standard
* Update description to mention Ruby
* Set Priority of transtional packages to extra
* Update order of packages in lintian-overrides
* Add myself to Uploaders:
[Vincent Fourmond]
* Force a build-depends on gem2deb (>= 0.3.0~)
2011-08-29 - Antonio Terceiro <terceiro@debian.org>
ruby-cmdparse (2.0.3-1) unstable; urgency=low
* New upstream release
* Adapt package to the new Ruby policy: rename source and binary packages and
migrate to gem2deb.
2007-04-15 - Arnaud Cornet <arnaud.cornet@gmail.com>
libcmdparse2-ruby (2.0.2-2) unstable; urgency=low
[ Arnaud Cornet ]
* Do not use the Uploaders rule anymore.
[ Lucas Nussbaum ]
* Bumped debhelper build-depend to >= 5 (fixes linda error).
2006-07-27 - Paul van Tilburg <paulvt@debian.org>
libcmdparse2-ruby (2.0.2-1) unstable; urgency=low
[ Arnaud Cornet ]
* Move cdbs, debhelper, ruby and ruby-pkg-tools to build-depends.
* New upstream version.
[ Paul van Tilburg ]
* Bumped standards-version to 3.7.2; no changes required. 
2006-04-14 - Paul van Tilburg <paulvt@debian.org>
libcmdparse2-ruby (2.0.0-3) unstable; urgency=low
[ Arnaud Cornet ]
* libcmdparse2-ruby1.8 now replaces libcmdparse2-ruby (<= 2.0.0-1) to make it
upgradable.
2006-03-30 - Paul van Tilburg <paulvt@debian.org>
libcmdparse2-ruby (2.0.0-2) unstable; urgency=low
[ Lucas Nussbaum ]
* Added debian/watch file.
[ Arnaud Cornet ]
* Take ownership of the package.
* debian/control.in now uses @RUBY_EXTRAS_TEAM@ instead of the
deprecated @RUBY_TEAM@, and build-depends on ruby-pkg-tools >= 0.8.
* Split the package in two (libcmdparse2-ruby and
libcmdparse2-ruby1.8).
[ Paul van Tilburg ]
* Added new build-depends that are needed because the package now uses the
ruby-setup-rb class from the ruby-pkg-tools.
2005-12-28 - Paul van Tilburg <paulvt@debian.org>
libcmdparse2-ruby (2.0.0-1) unstable; urgency=low
[ Arnaud Cornet ]
* New upstream release.
* Added setup.rb licence to debian/copyright.
* libcmdparse2-ruby is maintained by the Debian/Ruby Extras team.
[ Paul van Tilburg ]
* Prepared control.in to have a template Uploaders field.
* Adapted debian/rules to update this Uploaders field.
2005-08-10 - Arnaud Cornet <arnaud.cornet@gmail.com>
libcmdparse-ruby (1.0.5-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
ruby-cocaine_0.5.8-1_all.deb library for running command line commands in Ruby
ruby-cocoon_1.2.6-2_all.deb tool to handle nested forms using jQuery
ruby-codemirror-rails_5.16.0-1_all.deb use codemirror with rails
ruby-coderay_1.1.2-2_all.deb Ruby library for syntax highlighting
ruby-coercible_1.0.0-2_all.deb powerful, flexible and configurable coercion library
ruby-coffee-rails_4.2.2-1_all.deb Coffee Script adapter for the Rails asset pipeline
ruby-coffee-script-source_1.10.0-1_all.deb CoffeeScript Compiler - Ruby integration
ruby-coffee-script_2.4.1-1_all.deb Ruby CoffeeScript Compiler
ruby-color_1.8-2_all.deb Ruby library to provide RGB, CMYK and other colorspace support
ruby-colorator_1.1.0-1_all.deb String core extensions for terminal coloring
ruby-colored_1.2-2_all.deb library to add colors or attributes to text
ruby-colorize_0.8.1-1_all.deb color methods to Ruby String class
ruby-columnize_0.9.0-1_all.deb Ruby library to format arrays as column-aligned strings
ruby-combustion_0.5.4-1_all.deb elegant rails engine testing
ruby-commander_4.4.5-1_all.deb Ruby command-line interface library
Advertisement
Advertisement